> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Docket Exhibit Request Status

> Fetches the state of the docket exhibit document request with the given UUID.



## OpenAPI

````yaml /api-reference/openapi.json get /docket_searches/exhibits/{docket_exhibit_request_id}/status
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /docket_searches/exhibits/{docket_exhibit_request_id}/status:
    get:
      tags:
        - Litigation & Bankruptcy
      summary: Get Docket Exhibit Request Status
      description: >-
        Fetches the state of the docket exhibit document request with the given
        UUID.
      operationId: >-
        get_docket_exhibit_request_status_docket_searches_exhibits__docket_exhibit_request_id__status_get
      parameters:
        - name: docket_exhibit_request_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: The ID of the docket exhibit to fetch the document for.
            description: >-
              The unique identifier of the docket exhibit to fetch the document
              for.
            examples:
              - 90af27bf-b162-4925-9d6e-65fb2af6908f
          description: >-
            The unique identifier of the docket exhibit to fetch the document
            for.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.DocketExhibitState'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.DocketExhibitState:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: ID of the docket exhibit document request
        docket_exhibit_id:
          type: string
          format: uuid
          title: Docket Exhibit Id
          description: ID of the docket exhibit the search was performed for
        state:
          $ref: '#/components/schemas/TaskState'
          description: State of the document search request
      type: object
      required:
        - id
        - docket_exhibit_id
        - state
      title: DocketExhibitState (v1)
      description: Represents a docket exhibit state.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskState:
      enum:
        - PENDING
        - EXECUTING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: TaskState
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````